> ## Documentation Index
> Fetch the complete documentation index at: https://developer.audiohook.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update company

## Update a company

> Request example

```shell theme={null}
curl -X PATCH https://betaapi.audiohook.com/v2/companies/:companyUUID \
  -H "Authorization: Bearer ${API_TOKEN}" \
  -H "Content-Type: application/json" \
  -H "ui-referer: ADVERTISER" \
  -d '{
    "request_headers": [
      { "name": "X-Request-Header", "value": "Header value" }
    ],
    "body": {
      "name": "test-advertiser"
    }
  }'
```

> Response sample

> 200 OK

```json theme={null}
{
  "Message": "Advertiser 999999 has been updated",
  "Advertiser": {
    "id": 999999,
    "uuid": "test-advertiser-uuid"
  }
}
```

Updates an existing company

### HTTP Request

`PATCH /v2/companies/:companyUUID`

### Body Parameters

| Parameter            | Required | Data Type | Description                                      |
| -------------------- | -------- | --------- | ------------------------------------------------ |
| name                 | false    | string    | The name of the advertiser                       |
| url                  | false    | string    | The URL that is associated with the advertiser   |
| status               | false    | boolean   | The status of the advertiser. Defaults to `true` |
| owner\_id            | false    | int       | The user ID under which to put the advertiser    |
| reporting\_requested | false    | boolean   | Whether the advertiser requested Glean reporting |
| onboarded            | false    | boolean   | Whether the advertiser has finished onboarding   |
